# BBB-Simple-ACS

Simple access control system using Beaglebone Black.

## 1. Documentation

### 1.1 Requirements

* Beaglebone Black with official Debian installed.
* RFID-RC522 module using SPI bus.
* OLED screen driven by SSD1306 using SPI bus (with an extra D/C pin).
* Internet connection.
* A server.

### 1.2 Dependencies (client)

* The Boost C++ Libraries (v1.62)
* Boost.Beast (v124 release)
* The mysql++ library.
* The qrencode library.
* The Boost helper JSON header.

### 1.3 Notes

* Build and install client/lib first before building the client.
* The server code may no longer work since some of dependencies are removed from Packagist. Luckily, the server code is simple enough to be easily rewritten using any PHP web framework.
