#pragma once

#include <string>

namespace acs
{
    class qr_encoder
    {
        unsigned char map_[64 * 64] = { 0 };
        unsigned width_ = 0;
        static constexpr auto base_url = "https://api.cismon.net/auth/";
    public:
        explicit qr_encoder() = default;
        bool encode_url(const std::string& suffix);

        unsigned char* get_map();

        unsigned get_width() const;
    };
}