#pragma once

#include <boost/asio.hpp>

namespace acs
{
    class loop;
    class access_controller;
    class mysql_conn;

    class reader_timer
    {
        loop* loop_;

        boost::asio::deadline_timer timer_;

        access_controller* controller_;

        mysql_conn* conn_;

        void callback_handler(const boost::system::error_code& ec);
        void defer();
    public:
        explicit reader_timer();
    };
}
