#pragma once

namespace acs
{
    class state
    {
    public:
        enum status {
            idle, entry_await
        };

    private:
        status status_ = idle;
    public:
        explicit state() = default;
        status get_status() const
        {
            return status_;
        }
        void set_status(status new_status)
        {
            status_ = new_status;
        }
    };
}