<?php

namespace acs;

use Acast\Http\Router;
use Acast\Http\Server;

function init_routes()
{
    $router = Router::create('acs');
    $router->add(['auth', '/token'], 'GET', function () {
        $this->invoke();
    })->bind(['Auth', 'init']);
    $router->add(['client', '/id', '/key'], 'GET', function () {
        $this->invoke();
    })->bind(['Client', 'tick']);
    $router->add(['auth-confirm', '/token'], 'GET', function () {
        $this->invoke();
    })->bind(['Auth', 'confirm']);
    Server::app('acs')->route('acs');
}